//! This module allows to describe a primitive subset of [Mentionable] types, [Atomic]s,
//! simple static types, which are completely [Context]-independent.

pub mod array;
pub mod atomic_object;
pub mod au64;
pub mod boolean;
pub mod plain;

use std::marker::PhantomData;

use crate::{atomic::*, mode::*};

use super::*;
